For the complete documentation index, see llms.txt. This page is also available as Markdown.

Task

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/task/
GET /api/v1/dashboard/task/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

post/api/v1/dashboard/task/
POST /api/v1/dashboard/task/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
task_idstringRequired
Responses
200

No response body

No content

get/api/v1/dashboard/task/{task_id}/
GET /api/v1/dashboard/task/{task_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

put
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
task_idstringRequired
Responses
200

No response body

No content

put/api/v1/dashboard/task/{task_id}/
PUT /api/v1/dashboard/task/{task_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
task_idstringRequired
Responses
204

No response body

No content

delete/api/v1/dashboard/task/{task_id}/
DELETE /api/v1/dashboard/task/{task_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

get

GET /dashboard/task/pending/ — list all tasks awaiting admin review PATCH /dashboard/task/<task_id>/approve/ — approve a pending task (goes live) PATCH /dashboard/task/<task_id>/reject/ — reject with a reason

All actions require the Admin role.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
task_idstringRequired
Responses
200

No response body

No content

get/api/v1/dashboard/task/{task_id}/review/
GET /api/v1/dashboard/task/{task_id}/review/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

patch

GET /dashboard/task/pending/ — list all tasks awaiting admin review PATCH /dashboard/task/<task_id>/approve/ — approve a pending task (goes live) PATCH /dashboard/task/<task_id>/reject/ — reject with a reason

All actions require the Admin role.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
task_idstringRequired
Responses
200

No response body

No content

patch/api/v1/dashboard/task/{task_id}/review/
PATCH /api/v1/dashboard/task/{task_id}/review/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get

Retrieve Task Base Template.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

Excel template file download (task_base_template.xlsx)

No content

get/api/v1/dashboard/task/base-template/
GET /api/v1/dashboard/task/base-template/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

Excel template file download (task_base_template.xlsx)

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/task/channel/
GET /api/v1/dashboard/task/channel/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/task/csv/
GET /api/v1/dashboard/task/csv/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/task/events/
GET /api/v1/dashboard/task/events/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/task/ig/
GET /api/v1/dashboard/task/ig/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

post/api/v1/dashboard/task/import/
POST /api/v1/dashboard/task/import/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/task/level/
GET /api/v1/dashboard/task/level/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get

Retrieve Task Public List.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Query parameters
task_sourcestring · enumOptional

Filter tasks by creator type: 'company' = tasks submitted by a verified company user, 'ig_mentor' = tasks submitted by an approved IG mentor, 'campus_mentor' = tasks submitted by an approved campus mentor, 'platform' = tasks created by platform admins. Eligibility (IG/campus membership) is enforced by the existing visibility rules.

Possible values:
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/task/list/
GET /api/v1/dashboard/task/list/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "data": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "pagination": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
}
get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/task/list-task-type/
GET /api/v1/dashboard/task/list-task-type/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

post/api/v1/dashboard/task/list-task-type/
POST /api/v1/dashboard/task/list-task-type/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

put
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

put/api/v1/dashboard/task/list-task-type/
PUT /api/v1/dashboard/task/list-task-type/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
204

No response body

No content

delete/api/v1/dashboard/task/list-task-type/
DELETE /api/v1/dashboard/task/list-task-type/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/task/organization/
GET /api/v1/dashboard/task/organization/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get

GET /dashboard/task/pending/ — list all tasks awaiting admin review PATCH /dashboard/task/<task_id>/approve/ — approve a pending task (goes live) PATCH /dashboard/task/<task_id>/reject/ — reject with a reason

All actions require the Admin role.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/task/pending/
GET /api/v1/dashboard/task/pending/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

patch

GET /dashboard/task/pending/ — list all tasks awaiting admin review PATCH /dashboard/task/<task_id>/approve/ — approve a pending task (goes live) PATCH /dashboard/task/<task_id>/reject/ — reject with a reason

All actions require the Admin role.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

patch/api/v1/dashboard/task/pending/
PATCH /api/v1/dashboard/task/pending/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
task_type_idstringRequired
Responses
200

No response body

No content

get/api/v1/dashboard/task/task-type/{task_type_id}/
GET /api/v1/dashboard/task/task-type/{task_type_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
task_type_idstringRequired
Responses
200

No response body

No content

post/api/v1/dashboard/task/task-type/{task_type_id}/
POST /api/v1/dashboard/task/task-type/{task_type_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

put
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
task_type_idstringRequired
Responses
200

No response body

No content

put/api/v1/dashboard/task/task-type/{task_type_id}/
PUT /api/v1/dashboard/task/task-type/{task_type_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
task_type_idstringRequired
Responses
204

No response body

No content

delete/api/v1/dashboard/task/task-type/{task_type_id}/
DELETE /api/v1/dashboard/task/task-type/{task_type_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/task/task-types/
GET /api/v1/dashboard/task/task-types/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

Last updated

Was this helpful?